Bug 503592 - Review Request: python-sprox - A package for creation of web widgets directly from database schema
Review Request: python-sprox - A package for creation of web widgets directly...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 503591
  Show dependency treegraph
 
Reported: 2009-06-01 15:52 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.6.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-06-01 15:52:29 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-sprox.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-sprox-0.5.5-1.fc10.src.rpm
Description: 
Sprox is a widget generation library that has a slightly different take on the problem of creating custom web content directly from database schemas. Sprox provides an easy way to create forms for web content which are: automatically generated, easy to customize, and validated. Sprox also has powerful tools to help you display your content the way you want to with table and record viewers. Sprox provides a way to fill your widgets, whether they are forms or other content with customizable data.
Comment 1 Parag AN(पराग) 2009-06-03 00:41:07 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1390410
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b41d9b4b4fa5a459c29dec0df14c0e83d603b867  sprox-0.5.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ %clean is present.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

Should:
1) add PKG_INFO to %doc
2) any reason to remove tests directory?
Comment 2 Parag AN(पराग) 2009-06-24 04:22:23 EDT
ping?
Comment 3 Luke Macken 2009-07-10 11:48:55 EDT
Regarding #1, There is no need to package the PKG-INFO, as it is merely setuptools egg metadata that is already contained in the package as /usr/lib/python2.5/site-packages/sprox-0.6.1-py2.5.egg-info/PKG-INFO

Regarding #2, I remove the tests for a couple of reasons.  First, they get installed into %{python_sitelib}/tests, instead of /sprox/tests.  Second, after they are run in %check, they do not provide much value to ship within the package.  If we really want them, we can move them to the proper location.
Comment 4 Luke Macken 2009-07-21 17:29:21 EDT
ping?
Comment 5 Parag AN(पराग) 2009-07-22 01:54:05 EDT
oops I forgot to remove myself from this review like I did for your other reviews.
Comment 6 Brennan Ashton 2009-07-26 14:47:09 EDT
this also looks clean to me.  I see no need for those tests,as long as they are run at build. Some times it is nice to have the tests for example code, but I do not see a need for that in this case.

Why did these reviews get dropped this late in the review stage?

I see no reason to APPROVE this package.

Go ahead for CVS.
Comment 7 Luke Macken 2009-07-30 21:12:49 EDT
(In reply to comment #6)
> this also looks clean to me.  I see no need for those tests,as long as they are
> run at build. Some times it is nice to have the tests for example code, but I
> do not see a need for that in this case.
> 
> Why did these reviews get dropped this late in the review stage?

https://bugzilla.redhat.com/show_bug.cgi?id=507695

> I see no reason to APPROVE this package.
> 
> Go ahead for CVS.  

Thanks for picking this up, Brennan.  I assume you mean "I see no reason not to APPROVE this package"?
Comment 8 Luke Macken 2009-07-30 21:29:48 EDT
New Package CVS Request
======================
Package Name: python-sprox
Short Description: A package for creation of web widgets directly from database schema
Owners: lmacken
Branches: F-10 F-11 EL-5
Comment 9 Brennan Ashton 2009-07-31 01:51:46 EDT
That is correct sir. Just trying to do what I can to get TG2 up and running, I use it a lot for work.
Comment 10 Jason Tibbitts 2009-07-31 17:15:19 EDT
CVS done.
Comment 11 Fedora Update System 2009-08-03 17:16:05 EDT
python-sprox-0.6.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-sprox-0.6.3-1.fc11
Comment 12 Fedora Update System 2009-08-04 20:38:24 EDT
python-sprox-0.6.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.